scripted Class Reference

Interface for maintaining a reference to the current ScriptingEnv. More...

`#include <Script.h>`

Inheritance diagram for scripted:

## Public Member Functions

| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Protected Attributes

ScriptingEnv * | scriptEnv

## Detailed Description

Interface for maintaining a reference to the current ScriptingEnv.

Every class that wants to use a ScriptingEnv should subclass this one and implement slot customEvent(QEvent*) such that it forwards any ScriptingChangeEvents to scripted::scriptingChangeEvent.

## Constructor & Destructor Documentation

## scripted()

scripted::scripted | ( | ScriptingEnv * | env | ) |

References ScriptingEnv::incref().

## ~scripted()

scripted::~scripted | ( |  | ) |

## Member Function Documentation

## scriptingChangeEvent()

void scripted::scriptingChangeEvent | ( | ScriptingChangeEvent * | sce | ) |

References ScriptingEnv::incref(), and ScriptingChangeEvent::scriptingEnv().

Referenced by ScriptEdit::customEvent(), MatrixValuesDialog::customEvent(), SetColValuesDialog::customEvent(), Matrix::customEvent(), Table::customEvent(), and ApplicationWindow::customEvent().

## scriptingEnv()

ScriptingEnv* scripted::scriptingEnv | ( |  | ) |

inline

Referenced by MatrixModel::calculate(), ConfigDialog::chooseHelpFolder(), MatrixValuesDialog::closeEvent(), SetColValuesDialog::closeEvent(), FunctionDialog::FunctionDialog(), SurfaceDialog::initFunctionPage(), SurfaceDialog::initParametricSurfacePage(), MatrixData::MatrixData(), MatrixModel::muParserCalculate(), PythonSyntaxHighlighter::PythonSyntaxHighlighter(), ScriptEdit::showFindDialog(), and SyntaxHighlighter::SyntaxHighlighter().

## Member Data Documentation

## scriptEnv

ScriptingEnv* scripted::scriptEnv

protected

Referenced by ApplicationWindow::addColumnNameToCompleter(), ApplicationWindow::addWindowsListToCompleter(), Matrix::calculate(), Table::calculate(), Matrix::canCalculate(), Table::cellEdited(), ScriptEdit::contextMenuEvent(), ScriptEdit::customEvent(), ApplicationWindow::dropEvent(), ScriptEdit::exportASCII(), Table::extractData(), ExtractDataDialog::ExtractDataDialog(), ScriptEdit::highlightErrorLine(), ScriptEdit::importASCII(), ApplicationWindow::importImage(), ApplicationWindow::init(), ApplicationWindow::initCompleter(), ScriptEdit::insertCompletion(), ScriptEdit::insertErrorMsg(), MatrixValuesDialog::insertExplain(), SetColValuesDialog::insertExplain(), ScriptEdit::insertFunction(), ApplicationWindow::loadScript(), ApplicationWindow::matrixToTable(), MatrixValuesDialog::MatrixValuesDialog(), Table::muParserCalculate(), ApplicationWindow::newHiddenTable(), ApplicationWindow::newMatrix(), ApplicationWindow::newNote(), ApplicationWindow::newTable(), ApplicationWindow::newTableStatistics(), ApplicationWindow::openProject(), ApplicationWindow::performCustomAction(), ScriptEdit::rehighlight(), ApplicationWindow::restartScriptingEnv(), ApplicationWindow::saveFolder(), ApplicationWindow::saveWindow(), ScriptEdit::ScriptEdit(), ApplicationWindow::scriptingMenuAboutToShow(), SetColValuesDialog::SetColValuesDialog(), ApplicationWindow::setScriptingLanguage(), ApplicationWindow::showColumnValuesDialog(), ApplicationWindow::showExtractDataDialog(), ApplicationWindow::showMatrixValuesDialog(), ApplicationWindow::showScriptingLangDialog(), ApplicationWindow::showScriptWindow(), and ScriptingLangDialog::updateLangList().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/Script.h
- qtiplot/src/scripting/Script.cpp